## imexam 0.8.1

=== cextern/xpa/Makefile ===
#
# This file is a Makefile for XPA.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = xpa
VERSION = 2.1.18

DISTNAME = xpa-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/usr/local
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the XPA library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include file xpa.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Top-level directory for share entries:
MAN_SHARE_DIR =		$(INSTALL_ROOT)$(prefix)/share/xpa

# Platform-specific X compiler flags (include file specifications)
X_CFLAGS = 		
# Platform-specific link directive for X libraries (-L specification)
X_LIBS = 		
# Platform-specific libraries that must go before -lXt
X_PRE_LIBS = 		
# Platform-specific libraries that must go after -lXt
X_EXTRA_LIBS = 		

# Platform-specific include files for Tcl
TCL_CFLAGS = 		
# Platform-specific libraries for Tcl
TCL_LIBS = 		

# Platform-specific include files for Gtk
GTK_CFLAGS = 		
# Platform-specific libraries for Gtk
GTK_LIBS = 		

# combine package cflags
PKG_CFLAGS =	$(X_CFLAGS) $(TCL_CFLAGS) $(GTK_CFLAGS)

# extra Libs required to link (e.g. socket libraries)
LIBS =			

# pthread lib needed to xpans
TLIB =			

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -O2

# To add ld switches, change the following line:
LDFLAGS =		  -g -O2

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# if enabled-shared was specified, this will exand to "shlib" and trigger
# building of the shared library
DOSHARED =	

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------
RM =		rm -f

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${PKG_CFLAGS} ${AC_FLAGS}

SRCS =		xpa.c xpaio.c command.c acl.c remote.c clipboard.c port.c \
		tcp.c client.c word.c xalloc.c find.c xlaunch.c timedconn.c \
		tclloop.c tcl.c xtloop.c gtkloop.c \
		xpaset.c xpaget.c xpainfo.c xpaaccess.c xpans.c xpamb.c

BASE_OBJS =	xpa.o xpaio.o command.o acl.o remote.o clipboard.o port.o \
		tcp.o client.o word.o xalloc.o find.o xlaunch.o timedconn.o

TCL_OBJS =	tclloop.o tcl.o 

XT_OBJS =	xtloop.o

GTK_OBJS =	gtkloop.o

INCL	=	xpa.h xpap.h

# these are all the modules going into the "normal" xpa library
LIBOBJS =	${BASE_OBJS} ${TCL_OBJS} ${XT_OBJS} ${GTK_OBJS}
LIB =	libxpa.a

# used in link line
# LLIB=	$(LIB)
LLIB=	$(LIB)

PROGS =		xpaset xpaget xpainfo xpaaccess xpans xpamb

TESTPROGS =	ctest stest rtest

all:		xpa.h lib $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install::	install-binaries 

install::	$(DOSHARED)_install

install::	install-man 

install::	install-share

install::	install-data

lib:		$(LIB) $(DOSHARED)

$(LIB):		$(LIBOBJS)
		$(RM) $(LIB)
		ar crv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

shlib:		$(LIB)
		@(rm -rf lib$(PACKAGE).tmp; mkdir lib$(PACKAGE).tmp; \
		(cd lib$(PACKAGE).tmp && ar x ../lib$(PACKAGE).a); \
		rm -f lib$(PACKAGE).tmp/xt*.o; \
		rm -f lib$(PACKAGE).tmp/tcl*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o $(PACKAGE) lib$(PACKAGE).tmp/*.o; \
		rm -rf lib$(PACKAGE).tmp)

mingw-dll:	$(LIBOBJS)
		$(CC)  -I. -DHAVE_CONFIG_H -shared port.c  tcp.c acl.c find.c \
		remote.c timedconn.c client.c word.c xpaio.c clipboard.c \
		xlaunch.c xalloc.c command.c xpa.c \
		-Wl,--output-def,libxpa.def,--out-implib,libxpa_dll.a,-no-undefined,--enable-runtime-pseudo-reloc -o libxpa.dll \
		-lwsock32

tclxpa:		$(LIB)
		@(rm -rf libtclxpa.tmp; mkdir libtclxpa.tmp; \
		(cd libtclxpa.tmp && ar x ../lib$(PACKAGE).a); \
		rm -f libtclxpa.tmp/xt*.o; \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o tclxpa libtclxpa.tmp/*.o $(TCL_LIBS); \
		test -r libtclxpa.dylib && cp -p libtclxpa.dylib libtclxpa.so && echo "copying libtclxpa.dylib to libtclxpa.so"; \
		rm -rf libtclxpa.tmp)

diff:
		-(for f in `ls *.c`;					\
		    do							\
			echo $$f;					\
			diff /soft/saord/xpa-2.1.[0-9]*/$$f .;		\
		    done);

index:		$(LIB)
		@(test -r pkgIndex.tcl && mv pkgIndex.tcl pkgIndex.tcl-old; \
		echo "pkg_mkIndex -direct -verbose . libtclxpa.so; exit"| tclsh)

xpaset:		$(LIB) xpaset.o
		$(CC) $(LDFLAGS) xpaset.o -o xpaset $(LLIB) $(LIBS)

xpaget:		$(LIB) xpaget.o
		$(CC) $(LDFLAGS) xpaget.o -o xpaget $(LLIB) $(LIBS)

xpainfo:	$(LIB) xpainfo.o
		$(CC) $(LDFLAGS) xpainfo.o -o xpainfo $(LLIB) $(LIBS)

xpaaccess:	$(LIB) xpaaccess.o
		$(CC) $(LDFLAGS) xpaaccess.o -o xpaaccess $(LLIB) $(LIBS)

xpans:		$(LIB) xpans.o
		$(CC) $(LDFLAGS) xpans.o -o xpans $(LLIB) $(LIBS) $(TLIB)

xpamb:		$(LIB) xpamb.o
		$(CC) $(LDFLAGS) xpamb.o -o xpamb $(LLIB) $(LIBS)

ctest:		$(LIB) ctest.o
		$(CC) $(LDFLAGS) ctest.o -o ctest $(LLIB) $(LIBS)

stest:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) $(LIBS)

rtest:		$(LIB) rtest.o
		$(CC) $(LDFLAGS) rtest.o -o rtest $(LIB) $(LIBS)

stestx:		$(LIB) stest.o
		$(CC) $(LDFLAGS) stest.o -o stest $(LIB) \
		$(X_LIBS) -lXt $(X_PRE_LIBS) -lXext -lX11 $(LIBS)

# Smoke test: allows end-users to quickly discern basic usability
smoke:  ctest stest
	./stest smoke &
	sleep 3
	./ctest -e -b -l 1000 smoke
	./xpaset -p smoke exit

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

# this nop-op gets executed if we are not building shared libraries
_install:

shlib_install:
	@-(for i in `ls *.so* *.dylib *.sl 2>/dev/null` ; \
	   do \
	   if [ -h $$i ] ; then \
		echo "Installing link $$i" ; \
		tar cf - $$i | (cd $(LIB_INSTALL_DIR); tar xf -) ; \
	   else \
		echo "Installing $$i" ; \
		$(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		chmod 555 $(LIB_INSTALL_DIR)/$$i; \
	   fi; \
	   done;)

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@echo "Installing $(LIB)";
	@$(INSTALL_DATA) $(LIB) $(LIB_INSTALL_DIR)/$(LIB);
	@(cd $(LIB_INSTALL_DIR); $(RANLIB) $(LIB));
	@chmod 555 $(LIB_INSTALL_DIR)/$(LIB);
	@echo "Installing xpa.h"
	@$(INSTALL_DATA) xpa.h $(INCLUDE_INSTALL_DIR)/xpa.h
	@echo "Installing prsetup.h"
	@$(INSTALL_DATA) prsetup.h $(INCLUDE_INSTALL_DIR)/prsetup.h
	@for i in $(PROGS) ; \
	    do \
	        echo "Installing $$i$(EXE)" ; \
		$(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
	    done;

install-man:
	@if [ ! -d $(MAN_INSTALL_DIR) ] ; then \
	    echo "Making directory $(MAN_INSTALL_DIR)"; \
	    mkdir $(MAN_INSTALL_DIR); \
	    chmod 755 $(MAN_INSTALL_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./man/man?/*.?` ; \
	    do \
		B=`basename $$i`; \
		E=`echo $$i | awk -F. '{print $$NF}'`; \
		M="$(MAN_INSTALL_DIR)/man$$E"; \
		if [ ! -d $$M ] ; then \
		    echo "Making directory $$M"; \
		    mkdir $$M; \
		    chmod 755 $$M; \
		    else true; \
		fi; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $$M/$$B; \
	    done;)

install-share:
	@if [ ! -d $(MAN_SHARE_DIR) ] ; then \
	    echo "Making directory $(MAN_SHARE_DIR)"; \
	    mkdir -p $(MAN_SHARE_DIR); \
	    chmod 755 $(MAN_SHARE_DIR); \
	    else true; \
	fi;
	@-(for i in `ls ./doc/sman/xpa?.*` ; \
	    do \
		B=`basename $$i`; \
		echo "Installing $$B" ; \
		$(INSTALL_DATA) $$i $(MAN_SHARE_DIR)/$$B; \
	    done;)

install-data:	install-pkgconfig

install-pkgconfig:
		@-(mkdir -p $(LIB_INSTALL_DIR)/pkgconfig; \
		echo "Installing xpa.pc" ; \
		$(INSTALL_DATA) xpa.pc $(LIB_INSTALL_DIR)/pkgconfig;)

Makefile:	Makefile.in
		$(SHELL) config.status

clean:
		$(RM) *.a *.so *.so.* *.dylib *.o *.exe core \
			errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~ doc/*.bak man/*~
		$(RM) -r autom4te.cache a.out.dSYM

distclean:	clean
		$(RM) Makefile config.status config.cache config.log conf.h \
		xpa.pc

maintainer-clean:: clean
		$(RM) config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

acl.o:		acl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) acl.c

remote.o:	remote.c $(INCL)
		$(CC) -c $(CC_SWITCHES) remote.c

clipboard.o:	clipboard.c $(INCL)
		$(CC) -c $(CC_SWITCHES) clipboard.c

client.o:	client.c $(INCL)
		$(CC) -c $(CC_SWITCHES) client.c

command.o:	command.c $(INCL)
		$(CC) -c $(CC_SWITCHES) command.c

find.o:		find.c
		$(CC) -c $(CC_SWITCHES) find.c

xlaunch.o:	xlaunch.c
		$(CC) -c $(CC_SWITCHES) xlaunch.c

timedconn.o:	timedconn.c
		$(CC) -c $(CC_SWITCHES) timedconn.c

port.o:		port.c $(INCL)
		$(CC) -c $(CC_SWITCHES) port.c

tcl.o:		tcl.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tcl.c

tclloop.o:	tclloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(TCL_CFLAGS) tclloop.c

gtkloop.o:	gtkloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(GTK_CFLAGS) gtkloop.c

tcp.o:		tcp.c
		$(CC) -c $(CC_SWITCHES) tcp.c

word.o:		word.c
		$(CC) -c $(CC_SWITCHES) word.c

xalloc.o:	xalloc.c
		$(CC) -c $(CC_SWITCHES) xalloc.c

xpa.o:		xpa.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpa.c

xpaio.o:	xpaio.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaio.c

xtloop.o:	xtloop.c $(INCL)
		$(CC) -c $(CC_SWITCHES) $(X_CFLAGS) xtloop.c

xpaaccess.o:	xpaaccess.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaaccess.c

xpaget.o:	xpaget.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaget.c

xpainfo.o:	xpainfo.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpainfo.c

xpans.o:	xpans.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpans.c

xpamb.o:	xpamb.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpamb.c

xpaset.o:	xpaset.c $(INCL)
		$(CC) -c $(CC_SWITCHES) xpaset.c

ctest.o:	ctest.c
		$(CC) -c $(CC_SWITCHES) ctest.c

stest.o:	stest.c

## imexam 0.7.1

=== debian/changelog ===
imexam (0.7.1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:41:48 +0000

imexam (0.7.1-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:37:43 -0700

imexam (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #860901)

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Nov 2016 12:22:33 +0100

=== debian/control ===
Source: imexam
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: cython,
               debhelper (>= 9),
               dh-python,
               ipython,
               ipython3,
               libxpa-dev,
               python-all-dev (>= 2.7),
               python-astropy,
               python-astropy-helpers,
               python-ginga,
               python-matplotlib,
               python-pytest,
               python-scipy,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python3-all-dev,
               python3-astropy,
               python3-astropy-helpers,
               python3-ginga,
               python3-matplotlib,
               python3-pytest,
               python3-scipy,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://imexam.readthedocs.io
Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/imexam.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/imexam.git
X-Python-Version: >= 2.7

Package: python-imexam
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: ipython,
            python-ginga | saods9,
            python-ginga | xpa-tools,
            python-matplotlib,
            python-scipy
Suggests: python-imexam-doc
Description: Simple interactive astronomical image examination and plotting (Python 2)
 Imexam is an affiliated package of AstroPy. It was designed to be a
 lightweight library which enables users to explore data using common
 methods which are consistent across viewers. It can be used from a
 command line interface, through a Jupyter notebook or through a
 Jupyter console. It can be used with multiple viewers, such as DS9 or
 Ginga, or without a viewer as a simple library to make plots and grab
 quick photometry information.
 .
 This is the Python 2 package.

Package: python3-imexam
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: ipython3,
            python3-ginga | saods9,
            python3-ginga | xpa-tools,
            python3-matplotlib,
            python3-scipy
Suggests: python-imexam-doc
Description: Simple interactive astronomical image examination and plotting
 Imexam is an affiliated package of AstroPy. It was designed to be a
 lightweight library which enables users to explore data using common
 methods which are consistent across viewers. It can be used from a
 command line interface, through a Jupyter notebook or through a
 Jupyter console. It can be used with multiple viewers, such as DS9 or
 Ginga, or without a viewer as a simple library to make plots and grab
 quick photometry information.
 .
 This is the Python 3 package.

Package: python-imexam-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Simple interactive astronomical image examination and plotting (Doc)
 Imexam is an affiliated package of AstroPy. It was designed to be a
 lightweight library which enables users to explore data using common
 methods which are consistent across viewers. It can be used from a
 command line interface, through a Jupyter notebook or through a
 Jupyter console. It can be used with multiple viewers, such as DS9 or
 Ginga, or without a viewer as a simple library to make plots and grab
 quick photometry information.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=imexam
export MPLBACKEND=Agg

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

override_dh_installdocs-indep:
	python setup.py build_sphinx
	dh_installdocs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/imexam-$1.tar.gz/ \
  https://github.com/spacetelescope/imexam/tags .*/v?(\d\S*)\.tar\.gz

## imexam 0.8.0

=== debian/changelog ===
imexam (0.8.0-1) unstable; urgency=low

  [ Edward Betts ]
  * Correct upstream/metadata Repository URL (Closes: #874359)

  [ Ole Streicher ]
  * Add Multi-Arch: foreign to -doc package as suggested by hinter
  * Mangle pre-releases in d/watch
  * New upstream version 0.8.0
  * Rediff patches
  * Switch to python3-sphinx
  * Push Standards-Version to 4.1.2. Switch remaining URL to https

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2017 10:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python-pytest,
                python-scipy,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all-dev,
                python3-astropy,
                python3-astropy-helpers,
@@ -25,8 +24,9 @@
                python3-matplotlib,
                python3-pytest,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 3.9.8
+               python3-setuptools,
+               python3-sphinx (>= 1.0.7+dfsg)
+Standards-Version: 4.1.2
 Homepage: https://imexam.readthedocs.io
 Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/imexam.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/imexam.git
@@ -76,6 +76,7 @@
 
 Package: python-imexam-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Simple interactive astronomical image examination and plotting (Doc)

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,5 @@
 endif
 
 override_dh_installdocs-indep:
-	python setup.py build_sphinx
+	python3 setup.py build_sphinx
 	dh_installdocs

=== debian/tests/control ===
Test-Command: cd $ADTTMP && MPLBACKEND=Agg python -c "import imexam; exit(imexam.test())"
Depends: python-imexam, python-scipy, python-matplotlib, ipython
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && MPLBACKEND=Agg python3 -c "import imexam; exit(imexam.test())"
Depends: python3-imexam, python3-scipy, python3-matplotlib, ipython3
Restrictions: allow-stderr

## imexam 0.8.1

=== debian/changelog ===
imexam (0.8.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:57 +0100

imexam (0.8.1-2) unstable; urgency=medium

  * Add tests on salsa
  * Remove non-working astropy.extern.six import (Closes: #950144)
  * Push Standards-Version to 4.5.0. No changes needed.
  * Replace d/compat by debhelper-compat dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Jan 2020 15:46:08 +0100

imexam (0.8.1-1) unstable; urgency=low

  * New upstream version 0.8.1. Rediff patches
  * Push Standards-Version to 4.4.0. No changes needed
  * Push compat to 12
  * Fix import failure from astropy.tests on astropy 3.2

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Jul 2019 13:39:26 +0200

imexam (0.8.0-3) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Dec 2018 09:16:54 +0100

imexam (0.8.0-2) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * Make matplotlib a hard dependency. (Closes: #896381, #896252)
  * Push Standards-Version to 4.1.4. No changes needed.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Apr 2018 15:56:32 +0200

=== debian/control ===
Source: imexam
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               ipython3,
               libxpa-dev,
               python3-all-dev,
               python3-astropy,
               python3-astropy-helpers,
               python3-ginga,
               python3-matplotlib,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-sphinx (>= 1.0.7+dfsg)
Standards-Version: 4.5.0
Homepage: https://imexam.readthedocs.io
Vcs-Git: https://salsa.debian.org/debian-astro-team/imexam.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/imexam

Package: python3-imexam
Section: python
Architecture: any
Depends: python3-matplotlib,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ipython3,
            python3-ginga | saods9,
            python3-ginga | xpa-tools,
            python3-scipy
Suggests: python-imexam-doc
Description: Simple interactive astronomical image examination and plotting
 Imexam is an affiliated package of AstroPy. It was designed to be a
 lightweight library which enables users to explore data using common
 methods which are consistent across viewers. It can be used from a
 command line interface, through a Jupyter notebook or through a
 Jupyter console. It can be used with multiple viewers, such as DS9 or
 Ginga, or without a viewer as a simple library to make plots and grab
 quick photometry information.

Package: python-imexam-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Simple interactive astronomical image examination and plotting (Doc)
 Imexam is an affiliated package of AstroPy. It was designed to be a
 lightweight library which enables users to explore data using common
 methods which are consistent across viewers. It can be used from a
 command line interface, through a Jupyter notebook or through a
 Jupyter console. It can be used with multiple viewers, such as DS9 or
 Ginga, or without a viewer as a simple library to make plots and grab
 quick photometry information.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=imexam
export MPLBACKEND=Agg

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON3:%=test-python%)
endif

override_dh_installdocs-indep:
	python3 setup.py build_sphinx
	dh_installdocs

=== debian/tests/control ===
Test-Command: cd $ADTTMP && MPLBACKEND=Agg python3 -c "import imexam; exit(imexam.test())"
Depends: python3-imexam, python3-scipy, python3-matplotlib, ipython3
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/imexam-$1.tar.gz/ \
  https://github.com/spacetelescope/imexam/tags .*/v?(\d\S*)\.tar\.gz

## imexam 0.9.1

=== cextern/xpa/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # at configure-time with the --exec-prefix and --prefix options
 # to the "configure" script.
 
-prefix =		/usr/local
+prefix =		/miniconda3/envs/testimexam
 exec_prefix =		${prefix}
 
 # The following definition can be set to non-null for special systems
@@ -275,7 +275,7 @@
 	    do \
 	    if [ ! -d $$i ] ; then \
 		echo "Making directory $$i"; \
-		mkdir $$i; \
+		mkdir -p $$i; \
 		chmod 755 $$i; \
 		else true; \
 		fi; \
@@ -297,7 +297,7 @@
 install-man:
 	@if [ ! -d $(MAN_INSTALL_DIR) ] ; then \
 	    echo "Making directory $(MAN_INSTALL_DIR)"; \
-	    mkdir $(MAN_INSTALL_DIR); \
+	    mkdir -p $(MAN_INSTALL_DIR); \
 	    chmod 755 $(MAN_INSTALL_DIR); \
 	    else true; \
 	fi;
@@ -308,7 +308,7 @@
 		M="$(MAN_INSTALL_DIR)/man$$E"; \
 		if [ ! -d $$M ] ; then \
 		    echo "Making directory $$M"; \
-		    mkdir $$M; \
+		    mkdir -p $$M; \
 		    chmod 755 $$M; \
 		    else true; \
 		fi; \
@@ -340,15 +340,15 @@
 Makefile:	Makefile.in
 		$(SHELL) config.status
 
-clean:
+clean:		FORCE
 		$(RM) *.a *.so *.so.* *.dylib *.o *.exe core \
 			errs *pure* .nfs* \
 			foo* *~ *.log \#* TAGS *.E a.out errors \
-			$(PROGS) $(TESTPROGS) \
+			$(PROGS) $(TESTPROGS) dns \
 			gmon.out *.pg *.bak \
 			config.info config.log \
 			doc/*~ doc/*.bak man/*~
-		$(RM) -r autom4te.cache a.out.dSYM
+		$(RM) -r autom4te.cache a.out.dSYM dns.dSYM
 
 distclean:	clean
 		$(RM) Makefile config.status config.cache config.log conf.h \
@@ -433,6 +433,3 @@
 		$(CC) -c $(CC_SWITCHES) xpaset.c
 
 ctest.o:	ctest.c
-		$(CC) -c $(CC_SWITCHES) ctest.c
-
-stest.o:	stest.c

=== debian/changelog ===
imexam (0.9.1-6) unstable; urgency=medium

  * Remove unused astropy config code (Astropy 6.0)

 -- Ole Streicher <olebole@debian.org>  Tue, 28 Nov 2023 10:08:03 +0100

imexam (0.9.1-5) unstable; urgency=medium

  * Directly call sphinx_build (Closes: #1042600)

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Oct 2023 20:41:38 +0100

imexam (0.9.1-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add patch to fix test failure with Numpy 1.24.
  * Update lintian overrides.
  * Bump watch file version to 4.

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2023 08:01:08 +0100

imexam (0.9.1-3) unstable; urgency=medium

  * Mark test failing with astropy 5.2 as xfail (Closes: #1027395)
  * Push Standards-Version to 4.6.2, no changes needed
  * Add Rules-Requires-Root: no to d/control

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Jan 2023 08:11:41 +0100

imexam (0.9.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ole Streicher ]
  * Fix failing test (Closes: #997501)
  * Push dh-compat to 13
  * Push Standards-Version to 4.6.0. No changes needed.
  * Don't use doctest extension in sphinx

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Oct 2021 08:21:58 +0200

imexam (0.9.1-1) unstable; urgency=low

  * New upstream version 0.9.1. Rediff patches
  * Remove unneeded build dep minversion

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Apr 2020 16:31:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: imexam
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                ipython3,
                libxpa-dev,
                python3-all-dev,
                python3-astropy,
-               python3-astropy-helpers,
                python3-ginga,
                python3-matplotlib,
+               python3-photutils,
                python3-pytest,
                python3-scipy,
                python3-setuptools,
-               python3-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 4.5.0
+               python3-setuptools-scm,
+               python3-sphinx (>= 2.0),
+               python3-sphinx-astropy,
+               python3-sphinx-automodapi
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/imexam
+Vcs-Git: https://salsa.debian.org/debian-astro-team/imexam.git
 Homepage: https://imexam.readthedocs.io
-Vcs-Git: https://salsa.debian.org/debian-astro-team/imexam.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/imexam
+Rules-Requires-Root: no
 
 Package: python3-imexam
+Architecture: any
 Section: python
-Architecture: any
 Depends: python3-matplotlib,
          ${misc:Depends},
          ${python3:Depends},
@@ -47,7 +51,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Simple interactive astronomical image examination and plotting (Doc)
  Imexam is an affiliated package of AstroPy. It was designed to be a
  lightweight library which enables users to explore data using common

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=imexam
export MPLBACKEND=Agg
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs-indep:
	PYTHONPATH=. sphinx-build docs html
	dh_installdocs

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/ \
https://pypi.debian.net/imexam/imexam-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
